/*
 * Copyright (c) 2025-2026, Антон Аксенов
 * This file is part of iptvc project
 * MIT License: https://git.axenov.dev/IPTV/iptvc/src/branch/master/LICENSE
 */

package logger

import (
	"io"
	"log"
	"log/slog"
	"os"
)

// Init инициализирует стандартный логгер
func Init(quiet bool) {
	log.SetOutput(os.Stdout)
	if quiet {
		log.SetOutput(io.Discard)
	}
}

// InitSlog инициализирует продвинутый логгер
// TODO пока непонятно что с этим делать
func InitSlog(quiet bool, debug bool) {
	writer := os.Stdout
	if quiet {
		writer = nil
	}

	level := slog.LevelInfo
	if debug {
		level = slog.LevelDebug
	}

	options := slog.HandlerOptions{Level: level, AddSource: false}
	handler := slog.NewTextHandler(writer, &options)
	logger := slog.New(handler)
	slog.SetDefault(logger)
}
